
local lootItems = {}
local lootIDs = {
		"77271",
		"77213",
		"77266",
		"77271",
		"77261",
	}

for counter, itemID in ipairs(lootIDs) do
	local name, link, quality, iLevel, reqLevel, class, subclass, maxStack, equipSlot, texture, vendorPrice = GetItemInfo(itemID)
	lootItems[counter] = {
		itemID = itemID,
		link = link,
	}
end

	-- function RollBeast_lootItems()
	
	
	
	-- return lootItems
	
-- end


function RollBeast_Test_Data_Names()

	local buttonText
	local numberInGroup = 25
	
	-- clears name column
	for counter = 1, numberInGroup do
		local randomNum = random((select(1, GetNumGuildMembers())))
		local name = (select(1, GetGuildRosterInfo(randomNum)))
		
		groupGUID[counter] = { 
			guid = counter, 
			groupMemberName = name,
		}

		buttonText = _G["RollBeast_RaidButton" .. counter .. "Name"]
		buttonText:SetText(groupGUID[counter].groupMemberName)
	end
	
end

function RollBeast_Test_Data_Loot()
	
	local buttonText
	
	for counter, entry in pairs(lootItems) do
		buttonText = _G["RollBeast_LootLootRoll" .. counter]
		buttonText:SetText(lootItems[counter].link)
	end

end

function RollBeast_Go(lootNumber, messageNumber)

	--local link = lootItems[lootNumber].link
	--local link = (select(2, GetItemInfo(tonumber(lootItems[lootNumber]))))
	local testMessage
	
	if (messageNumber == 1) then
		testMessage = groupGUID[10].groupMemberName .. " has selected Disenchant for: " .. lootItems[lootNumber].link
		
	elseif (messageNumber == 2) then
		testMessage ="Disenchant Roll - 51 for " .. lootItems[lootNumber].link .. " by " .. groupGUID[10].groupMemberName
		
	elseif (messageNumber == 3) then
		testMessage = groupGUID[10].groupMemberName .. " automatically passed on: " .. lootItems[lootNumber].link .. " because"
		print(testMessage)
	end

	RollBeast_OnEvent(self, "CHAT_MSG_LOOT", testMessage)
	
end
	
	
function RollBeast_Test()

	RollBeast_OnEvent(self, "START_LOOT_ROLL" ,lootItems)

end
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	
	